FetchError: uploading file at ..... Write EPIPE

When I set the frameworkVersion = 2, i get that error when uploading the artifacts to blob storage. When I remove the frameworkversion =2, i can get passed that error.

There seems to be something wrong with the version 2 of the framework.